<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Politics.Elect" | translate }}</nz-breadcrumb-item>
      <nz-breadcrumb-item nz-dropdown [nzDropdownMenu]="electionTypeMenu">
        {{ 'Politics.ElectionsTypes.'+ selectedElectionType?.key  | translate }}
        <nz-tag *ngIf="selectedElectionType?.isVoteDay" [nzColor]="'green'">{{ "Politics.Elections.VoteDay" | translate
          }}</nz-tag>
        <i nz-icon nzType="down"></i>
      </nz-breadcrumb-item>
      <nz-breadcrumb-item nz-dropdown [nzDropdownMenu]="countrySelectMenu">
        {{ countrySelected?.name }} <i nz-icon nzType="down"></i>
      </nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-dropdown-menu #electionTypeMenu="nzDropdownMenu">
  <ul nz-menu nzSelectable>
    <li nz-menu-item *ngFor="let type of electionTypes" (click)="changeType(type)">
      {{ 'Politics.ElectionsTypes.'+ type.key | translate }} <nz-tag *ngIf="type.isVoteDay" [nzColor]="'green'" style="float: right">{{
        "Politics.Elections.VoteDay" | translate }}</nz-tag>
    </li>
  </ul>
</nz-dropdown-menu>

<nz-dropdown-menu #countrySelectMenu="nzDropdownMenu">
  <ul nz-menu nzSelectable>
    <li nz-menu-item *ngFor="let country of countries" (click)="changeCountry(country)">{{ country.name }}</li>
  </ul>
</nz-dropdown-menu>

<div style="min-height: 100px;" *ngIf="selectedElectionType">
  <nz-spin [nzSpinning]="isLoading">

    <div *ngIf="selectedElectionType?.key === 'Congress' && canVote">
      <h3>{{ "Politics.Elections.SelectParty" | translate }}:</h3>
      <div nz-row [nzGutter]="16">
        <div nz-col nzXs="12" nzSm="8" nzMd="6" nzLg="4" nzXl="4" *ngFor="let party of parties">
          <nz-card
            (click)="selectedParty = party"
            [nzBordered]="true"
            [ngClass]="{ 'selected-card': selectedParty?.id === party.id }"
            style="cursor: pointer; text-align: center;">
            <div class="party-logo-container">
              <img [src]="party.avatar" class="fixed-size-logo" alt="Party Logo">
            </div>
            <nz-card-meta [nzTitle]="party.name"></nz-card-meta>
            <div style="margin-top: 10px; text-align: center;">
              <label nz-checkbox [(ngModel)]="selectedParty" [ngModelOptions]="{ standalone: true }"
                     [nzChecked]="selectedParty?.id === party.id">
              </label>
            </div>
          </nz-card>
        </div>
      </div>
      
    </div>
    

    <nz-divider></nz-divider>
    <h3>{{ "Politics.Elections.SelectCandidate" | translate }}:</h3>
    <div style="margin-top: 10px">
      <div nz-row [nzGutter]="16" nzJustify="space-around">
        <div nz-col *ngIf="!selectedElectionType.isVoteDay" style="text-align: center;" nzXs="24" nzSm="24" nzMd="24" nzLg="24" nzXl="24">
          <h2>
            {{ "Politics.Elections.ItsNotElectionDate" | translate }}.
          </h2>
        </div>
        <div nz-col nzXs="12" nzSm="8" nzMd="8" nzLg="6" nzXl="5" *ngFor="let electionPosition of electionData; index as i">
          <nz-card [nzCover]="coverTemplate" [nzBordered]="true">
            <ng-template #coverTemplate>
                <div class="image-container">
                  <img [src]="electionPosition.candidate.avatar" class="fixed-size-img">
                </div>
              </ng-template>           
            <nz-card-meta
              [nzTitle]="electionPosition.candidate.name">
            </nz-card-meta>
            <div style="text-align: center;">
            <div *ngIf="selectedElectionType?.key === 'CountryPresident'">
              <button nz-button nzShape="round" (click)="goals = electionPosition.candidate.goals">
                {{ "Politics.Elections.Goals" | translate }}
              </button>
            </div>
            <div *ngIf="selectedElectionType?.key === 'Congress'">
              {{ electionPosition.party.name }}
            </div>
            <div style="margin-top: 16px;">
              <button *ngIf="selectedElectionType.isVoteDay && canVote" nzShape="round" nz-button nzType="primary"
                (click)="vote(electionPosition)">
                {{ "Politics.Elections.VoteForCandidate" | translate }}
              </button>

              <h4 *ngIf="!canVote && selectedElectionType.isVoteDay">
                {{ "Politics.Elections.YouCantVote" | translate }}
              </h4>
            </div>
            </div>
          </nz-card>
        </div>
      </div>
      
      <div nz-row nzJustify="center">
        <div nz-col nzXs="20" nzSm="10">
          <h3 style="text-align: center">{{ "Politics.Elections.SeeResultsOfPrevious" | translate }}:</h3>
        </div>
        <div nz-col nzXs="14" nzSm="6">
          <button nz-button nzType="primary" style="width: 100%" [routerLink]="['/elections/results']">
            {{ "Politics.Elections.GoToResults" | translate }}
          </button>
        </div>
      </div>
    </div>
  </nz-spin>
</div>

<nz-modal *ngIf="goals" nzVisible="true" nzTitle='{{ "Politics.Elections.politicalGoals" | translate }}' [nzFooter]="null" (nzOnCancel)="goals = undefined">
  <ng-container *nzModalContent>
    <nz-collapse>
      <nz-collapse-panel [nzActive]="true" nzHeader='{{ "Notification.Category.Military" | translate }}' nzShowArrow="false">
        <div [innerHtml]="parseGoals(goals.military)"></div>
      </nz-collapse-panel>
      <nz-collapse-panel [nzActive]="true" nzHeader='{{ "Politics.Elections.Economic" | translate }}'  nzShowArrow="false">
        <div [innerHtml]="parseGoals(goals.economic)"></div>
      </nz-collapse-panel>
      <nz-collapse-panel [nzActive]="true" nzHeader='{{ "Notification.Category.Social" | translate }}' nzShowArrow="false">
        <div [innerHtml]="parseGoals(goals.social)"></div>
      </nz-collapse-panel>
      <nz-collapse-panel [nzActive]="true" nzHeader='{{ "Politics.Elections.Others" | translate }}' nzShowArrow="false">
        <div [innerHtml]="parseGoals(goals.others)"></div>
      </nz-collapse-panel>
    </nz-collapse>
  </ng-container>
</nz-modal>